<template>
  <div class="container-lg mt-3">
      <h2>Products</h2>

      <div class="row">
          <div class="col-md-3 p-1" v-for="(product, index) in products" v-bind:key="index"> 
              <b-card
                :title="product.title"
                :img-src="product.image"
                img-alt="Image"
                img-top
                tag="article"
                style="max-width: 20rem;"
                class="mb-2"
              >
               <div class="mb-2 ">
                  <b-card-text >
                    {{product.description}}
                  </b-card-text>
               
              </div>
                <div class="price fw-bold">
                    <span class="font22">{{product.price}}</span>
                    <span class="currency ">€</span>
                  </div>
                <!-- <b-button href="#" variant="primary">Go somewhere</b-button> -->
              </b-card>
          </div>
      </div>
  </div>
</template>

<script>
import { apiCallList } from '../mixins'

export default {
  name: 'products',
  components: {
    
  },
  
  mixins: [apiCallList],
  data(){
      return {
          endpoint : "api/products",
          products : []
      }
  },
  methods : {
      loadItems (){
        this.products = this.data.products;
      }
  }
}
</script>
<style >
.card-img-top{
  width: 100%;
  height: 250px;
  padding: 10px;
}
.currency{
  top: -.3em;
  font-size: 15px;
  position: relative;
}
.font22{
  font-size: 22px !important;
}
.card-title{
  font-size : 1.2rem;
  height: 58px;
  overflow: hidden;
    line-height: 1;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
    display: block;
  display: -webkit-box;
}
.card-text{
  display: block;
  display: -webkit-box;
  max-width: 100%;
  height: 54px;
  margin: 0 auto;
  font-size: 14px;
  line-height: 1;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
</style>